Skip to content

Info

Build and git information.

Operations

Version info

Request

For deployment available public /info endpoint, which provides build and git related information.

Security
bearer
curl -i -X GET \
  https://as5.api.enterprisedata.slb.com/api/legal/v1/info \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Version info.

Bodyapplication/json
groupIdstring

Maven artifact group ID.

actifactIdstring

Maven artifact ID.

versionstring

Maven artifact version

buildTimestring

Maven artifact build time

branchstring

Current git branch

commitIdstring

Latest commit hash

commitMessagestring

Latest commit message

connectedOuterServicesArray of objects(ConnectedOuterService)

Connected outer services information

Response
{ "groupId": "string", "actifactId": "string", "version": "string", "buildTime": "string", "branch": "string", "commitId": "string", "commitMessage": "string", "connectedOuterServices": [ { … } ] }